Pular para o conteúdo principal
POST
/
v1
/
brcode
/
static
Criar um QR Code Estático
curl --request POST \
  --url https://plugin-pix-indirect.api.lerian.net/v1/brcode/static \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-Id: <x-account-id>' \
  --data '
{
  "receiverKey": "+5511999999999",
  "amount": "100.00",
  "description": "Payment for order"
}
'
{
  "id": "550e8400-e29b-41d4-a716-4466554400bb",
  "emv": "00020126580014br.gov.bcb.pix...",
  "base64": "<string>",
  "receiverKey": "+5511999999999",
  "amount": "100.00",
  "description": "Payment for order #12345",
  "createdAt": "2024-01-15T10:30:00Z"
}

Autorizações

Authorization
string
header
obrigatório

Header de autenticação Bearer no formato Bearer <token>, onde <token> é o seu token de acesso JWT.

Cabeçalhos

X-Account-Id
string
obrigatório

Identificador único da Conta do Ledger Midaz (formato UUID).

Parâmetros de consulta

include_base64
boolean
padrão:false

Retorna o QR code renderizado em base64 junto com o payload EMV.

Corpo

application/json
receiverKey
string
obrigatório

Chave PIX que receberá o pagamento.

Exemplo:

"+5511999999999"

amount
string

Valor fixo opcional.

Exemplo:

"100.00"

description
string

Descrição personalizada.

Exemplo:

"Payment for order #12345"

txId
string

Identificador de transação opcional.

Exemplo:

"TXabcdefghijklmno123456789"

Resposta

QR Code estático criado com sucesso.

id
string

Identificador único do QR Code.

Exemplo:

"550e8400-e29b-41d4-a716-4466554400bb"

emv
string

Payload EMV do QR Code.

Exemplo:

"00020126580014br.gov.bcb.pix..."

base64
string

Imagem do QR Code codificada em Base64 (se solicitada).

receiverKey
string

Chave PIX.

Exemplo:

"+5511999999999"

amount
string

Valor fixo (se definido).

Exemplo:

"100.00"

description
string

Descrição.

Exemplo:

"Payment for order #12345"

createdAt
string<date-time>
Exemplo:

"2024-01-15T10:30:00Z"